<?php
/**
 * @Packge     : Kitar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }


    // preloader hook function
    if( ! function_exists( 'kitar_preloader_wrap_cb' ) ) {
        function kitar_preloader_wrap_cb() {
            $preloader_display              =  kitar_opt('kitar_display_preloader');

            if( class_exists('ReduxFramework') ){
                if( $preloader_display ){
                    echo '<div id="preloader" class="preloader ">';
                        echo '<button class="th-btn preloaderCls">'.esc_html__( 'Cancel Preloader', 'kitar' ).'</button>';
                        echo '<div id="loader" class="th-preloader">';
                            echo '<svg class="pencil" viewBox="0 0 200 200" width="200px" height="200px" xmlns="http://www.w3.org/2000/svg">
                                <defs>
                                    <clipPath id="pencil-eraser">
                                        <rect rx="5" ry="5" width="30" height="30"></rect>
                                    </clipPath>
                                </defs>
                                <circle class="pencil__stroke" r="70" fill="none" stroke="currentColor" stroke-width="2" stroke-dasharray="439.82 439.82" stroke-dashoffset="439.82" stroke-linecap="round" transform="rotate(-113,100,100)" />
                                <g class="pencil__rotate" transform="translate(100,100)">
                                    <g fill="none">
                                        <circle class="pencil__body1" r="64" stroke="hsl(223,90%,50%)" stroke-width="30" stroke-dasharray="402.12 402.12" stroke-dashoffset="402" transform="rotate(-90)" />
                                        <circle class="pencil__body2" r="74" stroke="hsl(223,90%,60%)" stroke-width="10" stroke-dasharray="464.96 464.96" stroke-dashoffset="465" transform="rotate(-90)" />
                                        <circle class="pencil__body3" r="54" stroke="hsl(223,90%,40%)" stroke-width="10" stroke-dasharray="339.29 339.29" stroke-dashoffset="339" transform="rotate(-90)" />
                                    </g>
                                    <g class="pencil__eraser" transform="rotate(-90) translate(49,0)">
                                        <g class="pencil__eraser-skew">
                                            <rect fill="hsl(223,90%,70%)" rx="5" ry="5" width="30" height="30" />
                                            <rect fill="hsl(223,90%,60%)" width="5" height="30" clip-path="url(#pencil-eraser)" />
                                            <rect fill="hsl(223,10%,90%)" width="30" height="20" />
                                            <rect fill="hsl(223,10%,70%)" width="15" height="20" />
                                            <rect fill="hsl(223,10%,80%)" width="5" height="20" />
                                            <rect fill="hsla(223,10%,10%,0.2)" y="6" width="30" height="2" />
                                            <rect fill="hsla(223,10%,10%,0.2)" y="13" width="30" height="2" />
                                        </g>
                                    </g>
                                    <g class="pencil__point" transform="rotate(-90) translate(49,-30)">
                                        <polygon fill="hsl(33,90%,70%)" points="15 0,30 30,0 30" />
                                        <polygon fill="hsl(33,90%,50%)" points="15 0,6 30,0 30" />
                                        <polygon fill="hsl(223,10%,10%)" points="15 0,20 10,10 10" />
                                    </g>
                                </g>
                            </svg>';
                        echo '</div>';
                    echo '</div>';
                }
            }else{
                echo '<div class="preloader">';
                    echo '<button class="th-btn preloaderCls">'.esc_html__( 'Cancel Preloader', 'kitar' ).'</button>';
                    echo '<div id="loader" class="th-preloader">';
                            echo '<svg class="pencil" viewBox="0 0 200 200" width="200px" height="200px" xmlns="http://www.w3.org/2000/svg">
                                <defs>
                                    <clipPath id="pencil-eraser">
                                        <rect rx="5" ry="5" width="30" height="30"></rect>
                                    </clipPath>
                                </defs>
                                <circle class="pencil__stroke" r="70" fill="none" stroke="currentColor" stroke-width="2" stroke-dasharray="439.82 439.82" stroke-dashoffset="439.82" stroke-linecap="round" transform="rotate(-113,100,100)" />
                                <g class="pencil__rotate" transform="translate(100,100)">
                                    <g fill="none">
                                        <circle class="pencil__body1" r="64" stroke="hsl(223,90%,50%)" stroke-width="30" stroke-dasharray="402.12 402.12" stroke-dashoffset="402" transform="rotate(-90)" />
                                        <circle class="pencil__body2" r="74" stroke="hsl(223,90%,60%)" stroke-width="10" stroke-dasharray="464.96 464.96" stroke-dashoffset="465" transform="rotate(-90)" />
                                        <circle class="pencil__body3" r="54" stroke="hsl(223,90%,40%)" stroke-width="10" stroke-dasharray="339.29 339.29" stroke-dashoffset="339" transform="rotate(-90)" />
                                    </g>
                                    <g class="pencil__eraser" transform="rotate(-90) translate(49,0)">
                                        <g class="pencil__eraser-skew">
                                            <rect fill="hsl(223,90%,70%)" rx="5" ry="5" width="30" height="30" />
                                            <rect fill="hsl(223,90%,60%)" width="5" height="30" clip-path="url(#pencil-eraser)" />
                                            <rect fill="hsl(223,10%,90%)" width="30" height="20" />
                                            <rect fill="hsl(223,10%,70%)" width="15" height="20" />
                                            <rect fill="hsl(223,10%,80%)" width="5" height="20" />
                                            <rect fill="hsla(223,10%,10%,0.2)" y="6" width="30" height="2" />
                                            <rect fill="hsla(223,10%,10%,0.2)" y="13" width="30" height="2" />
                                        </g>
                                    </g>
                                    <g class="pencil__point" transform="rotate(-90) translate(49,-30)">
                                        <polygon fill="hsl(33,90%,70%)" points="15 0,30 30,0 30" />
                                        <polygon fill="hsl(33,90%,50%)" points="15 0,6 30,0 30" />
                                        <polygon fill="hsl(223,10%,10%)" points="15 0,20 10,10 10" />
                                    </g>
                                </g>
                            </svg>';
                    echo '</div>';
                echo '</div>';
            }

        }
    }

    // Header Hook function
    if( !function_exists('kitar_header_cb') ) { 
        function kitar_header_cb( ) {
            get_template_part('templates/header');
        }
    }

    // Header Hook function
    if( !function_exists('kitar_breadcrumb_cb') ) { 
        function kitar_breadcrumb_cb( ) {
            get_template_part('templates/header-menu-bottom');
        }
    }

    // back top top hook function
    if( ! function_exists( 'kitar_back_to_top_cb' ) ) {
        function kitar_back_to_top_cb( ) {
            $backtotop_trigger = kitar_opt('kitar_display_bcktotop');
            if( class_exists( 'ReduxFramework' ) ) {
                if( $backtotop_trigger ) {
            	?>
                    <div class="scroll-top">
                        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
                            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" style="transition: stroke-dashoffset 10ms linear 0s; stroke-dasharray: 307.919, 307.919; stroke-dashoffset: 307.919;">
                            </path>
                        </svg>
                    </div>
                <?php 
                }
            }

        }
    }

    // Blog Start Wrapper Function
    if( !function_exists('kitar_blog_start_wrap_cb') ) {
        function kitar_blog_start_wrap_cb() { ?>
            <section class="th-blog-wrapper space-top space-extra-bottom">
                <div class="container">
                    <div class="row">
        <?php }
    }

    // Blog End Wrapper Function
    if( !function_exists('kitar_blog_end_wrap_cb') ) {
        function kitar_blog_end_wrap_cb() {?>
                    </div>
                </div>
            </section>
        <?php }
    }

    // Blog Column Start Wrapper Function
    if( !function_exists('kitar_blog_col_start_wrap_cb') ) {
        function kitar_blog_col_start_wrap_cb() {
           
                //Redux option work
                if( class_exists('ReduxFramework') ) {
                    $kitar_blog_sidebar = kitar_opt('kitar_blog_sidebar');
                }else{
                    $kitar_blog_sidebar = '1';
                }

                if( class_exists('ReduxFramework') ) {
                    // $kitar_blog_sidebar = kitar_opt('kitar_blog_sidebar');
                    if( $kitar_blog_sidebar == '2' && is_active_sidebar('kitar-blog-sidebar') ) {
                        echo '<div class="col-xxl-8 col-lg-7  order-lg-last">';
                    } elseif( $kitar_blog_sidebar == '3' && is_active_sidebar('kitar-blog-sidebar') ) {
                        echo '<div class="col-xxl-8 col-lg-7">';
                    } else {
                        echo '<div class="col-lg-12">';
                    }

                } else {
                    if( is_active_sidebar('kitar-blog-sidebar') ) {
                        echo '<div class="col-xxl-8 col-lg-7">';
                    } else {
                        echo '<div class="col-lg-12">';
                    }
                }
                

        }
    }
    // Blog Column End Wrapper Function
    if( !function_exists('kitar_blog_col_end_wrap_cb') ) {
        function kitar_blog_col_end_wrap_cb() {
            echo '</div>';
        }
    }

    // Blog Sidebar
    if( !function_exists('kitar_blog_sidebar_cb') ) {
        function kitar_blog_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $kitar_blog_sidebar = kitar_opt('kitar_blog_sidebar');
            } else {
                $kitar_blog_sidebar = 2;
                
            }
            if( $kitar_blog_sidebar != 1 && is_active_sidebar('kitar-blog-sidebar') ) {
                // Sidebar
                get_sidebar();
            }
        }
    }


    if( !function_exists('kitar_blog_details_sidebar_cb') ) {
        function kitar_blog_details_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $kitar_blog_single_sidebar = kitar_opt('kitar_blog_single_sidebar');
            } else {
                $kitar_blog_single_sidebar = 4;
            }
            if( $kitar_blog_single_sidebar != 1 ) {
                // Sidebar
                get_sidebar();
            }

        }
    }

    // Blog Pagination Function
    if( !function_exists('kitar_blog_pagination_cb') ) {
        function kitar_blog_pagination_cb( ) {
            get_template_part('templates/pagination');
        }
    }

    // Blog Content Function
    if( !function_exists('kitar_blog_content_cb') ) {
        function kitar_blog_content_cb( ) {

            //Redux option work
            if( class_exists('ReduxFramework') ) {
                $kitar_blog_grid = kitar_opt('kitar_blog_grid');  
            }else{
                $kitar_blog_grid = '1';
            }

            if( $kitar_blog_grid == '1' ) {
                $kitar_blog_grid_class = 'col-lg-12';
            } elseif( $kitar_blog_grid == '2' ) {
                $kitar_blog_grid_class = 'col-sm-6';
            } else {
                $kitar_blog_grid_class = 'col-lg-4 col-sm-6';
            }

            echo '<div class="row">';
                if( have_posts() ) {
                    while( have_posts() ) {
                        the_post();
                        echo '<div class="'.esc_attr($kitar_blog_grid_class).'">';
                            get_template_part('templates/content',get_post_format());
                        echo '</div>';
                    }
                    wp_reset_postdata();
                } else{
                    get_template_part('templates/content','none');
                }
            echo '</div>';
        }
    }

    // footer content Function
    if( !function_exists('kitar_footer_content_cb') ) {
        function kitar_footer_content_cb( ) {

            if( class_exists('ReduxFramework') && did_action( 'elementor/loaded' )  ){
                if( is_page() || is_page_template('template-builder.php') ) {
                    $post_id = get_the_ID();

                    // Get the page settings manager
                    $page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

                    // Get the settings model for current post
                    $page_settings_model = $page_settings_manager->get_model( $post_id );

                    // Retrieve the Footer Style
                    $footer_settings = $page_settings_model->get_settings( 'kitar_footer_style' );

                    // Footer Local
                    $footer_local = $page_settings_model->get_settings( 'kitar_footer_builder_option' );

                    // Footer Enable Disable
                    $footer_enable_disable = $page_settings_model->get_settings( 'kitar_footer_choice' );

                    if( $footer_enable_disable == 'yes' ){
                        if( $footer_settings == 'footer_builder' ) {
                            // local options
                            $kitar_local_footer = get_post( $footer_local );
                            echo '<footer>';
                            echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $kitar_local_footer->ID );
                            echo '</footer>';
                        } else {
                            // global options
                            $kitar_footer_builder_trigger = kitar_opt('kitar_footer_builder_trigger');
                            if( $kitar_footer_builder_trigger == 'footer_builder' ) {
                                echo '<footer>';
                                $kitar_global_footer_select = get_post( kitar_opt( 'kitar_footer_builder_select' ) );
                                $footer_post = get_post( $kitar_global_footer_select );
                                echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                                echo '</footer>';
                            } else {
                                // wordpress widgets
                                kitar_footer_global_option();
                            }
                        }
                    }
                } else {
                    // global options
                    $kitar_footer_builder_trigger = kitar_opt('kitar_footer_builder_trigger');
                    if( $kitar_footer_builder_trigger == 'footer_builder' ) {
                        echo '<footer>';
                        $kitar_global_footer_select = get_post( kitar_opt( 'kitar_footer_builder_select' ) );
                        $footer_post = get_post( $kitar_global_footer_select );
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                        echo '</footer>';
                    } else {
                        // wordpress widgets
                        kitar_footer_global_option();
                    }
                }
            } else { ?>
                <div class="footer-layout1 footer-sitcky">
                    <div class="copyright-wrap bg-theme2">
                        <div class="container">
                            <p class="copyright-text text-center"><?php echo sprintf( 'Copyright <i class="fal fa-copyright"></i> %s <a href="%s"> %s </a> All Rights Reserved.', date('Y'), esc_url('#'), esc_html__( 'Kitar.','kitar') ); ?></p> 
                        </div>
                    </div>
                </div>
            <?php }

        }
    }

    // blog details wrapper start hook function
    if( !function_exists('kitar_blog_details_wrapper_start_cb') ) {
        function kitar_blog_details_wrapper_start_cb( ) {
            echo '<section class="th-blog-wrapper blog-details space-top space-extra-bottom">';
                echo '<div class="container">';
                    if( is_active_sidebar( 'kitar-blog-sidebar' ) ){
                        $kitar_gutter_class = 'gx-60';
                    }else{
                        $kitar_gutter_class = '';
                    }
                    // echo '<div class="row './/esc_attr( $kitar_gutter_class ).'">';
                    echo '<div class="row">';
        }
    }

    // blog details column wrapper start hook function
    if( !function_exists('kitar_blog_details_col_start_cb') ) {
        function kitar_blog_details_col_start_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $kitar_blog_single_sidebar = kitar_opt('kitar_blog_single_sidebar');
                if( $kitar_blog_single_sidebar == '2' && is_active_sidebar('kitar-blog-sidebar') ) {
                    echo '<div class="col-xxl-8 col-lg-7 order-lg-last">';
                } elseif( $kitar_blog_single_sidebar == '3' && is_active_sidebar('kitar-blog-sidebar') ) {
                    echo '<div class="col-xxl-8 col-lg-7">';
                } else {
                    echo '<div class="col-lg-12">';
                }

            } else {
                if( is_active_sidebar('kitar-blog-sidebar') ) {
                    echo '<div class="col-xxl-8 col-lg-7">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            }
        }
    }

    // blog details post meta hook function
    if( !function_exists('kitar_blog_post_meta_cb') ) {
        function kitar_blog_post_meta_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $kitar_display_post_author      =  kitar_opt('kitar_display_post_author');
                $kitar_display_post_date      =  kitar_opt('kitar_display_post_date');
                $kitar_display_post_cate   =  kitar_opt('kitar_display_post_cate');
                $kitar_display_post_comments      =  kitar_opt('kitar_display_post_comments');
            } else {
                $kitar_display_post_author      = '1';
                $kitar_display_post_date      = '1';
                $kitar_display_post_cate   = '1';
                $kitar_display_post_comments      = '0'; 
            }

                echo '<div class="blog-meta">';
                    if( $kitar_display_post_author ){
                        echo '<a href="'.esc_url( get_author_posts_url( get_the_author_meta('ID') ) ).'"><i class="fa-solid fa-user"></i>'.esc_html( ucwords( get_the_author() ) ).'</a>';
                    }
                    if( $kitar_display_post_date ){
                        echo ' <a href="'.esc_url( kitar_blog_date_permalink() ).'"><i class="fa-solid fa-calendar"></i>'.esc_html( get_the_date() ).'</a>';
                    }
                    if( $kitar_display_post_cate ){
                        $categories = get_the_category(); 
                        if(!empty($categories)){
                        echo '<a href="'.esc_url( get_category_link( $categories[0]->term_id ) ).'"><i class="fa-solid fa-tags"></i>'.esc_html( $categories[0]->name ).'</a>';
                        }
                    }
                    if( $kitar_display_post_comments ){
                        ?>
                        <a href="#"><i class="fa-solid fa-comment"></i>
                            <?php 
                                if(get_comments_number() == 1){
                                    echo esc_html__('Comment (', 'kitar'); 
                                }else{
                                    echo esc_html__('Comments (', 'kitar'); 
                                }
                                echo get_comments_number(); ?>)</a>
                        <?php
                    }
                echo '</div>';
        }
    }

    // blog details share options hook function
    if( !function_exists('kitar_blog_details_share_options_cb') ) {
        function kitar_blog_details_share_options_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $kitar_post_details_share_options = kitar_opt('kitar_post_details_share_options');
            } else {
                $kitar_post_details_share_options = false;
            }
            if( function_exists( 'kitar_social_sharing_buttons' ) && $kitar_post_details_share_options ) { ?>
                <div class="col-sm-auto text-xl-end">
                    <span class="share-links-title"><?php echo esc_html__('Share:', 'kitar') ?></span>
                    <div class="th-social">
                        <?php echo kitar_social_sharing_buttons(); ?>
                    </div>
                </div>
            <?php }
        }
    }
    
    // blog details author bio hook function
    if( !function_exists('kitar_blog_details_author_bio_cb') ) {
        function kitar_blog_details_author_bio_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $postauthorbox =  kitar_opt( 'kitar_post_details_author_box' );
            } else {
                $postauthorbox = '0';
            }
            if(  $postauthorbox == '1' ) {

                echo '<div class="author-widget-wrap">';
                        echo '<div class="avater">';
                            echo '<img src="'.esc_url( get_avatar_url( get_the_author_meta('ID') ) ).'" alt="img">';
                        echo '</div>';
                        echo '<div class="avater-content">';
                            echo ' <div class="author-info">';
                                echo '<h3 class="name"><a class="text-inherit" href="#">'.esc_html( ucwords( get_the_author() )).'</a></h3>';
                                echo '<span class="text">'.get_user_meta( get_the_author_meta('ID'), '_kitar_author_desig',true ).'</span>';
                            echo '</div>';
                            echo '<p class="author-bio">'.get_the_author_meta( 'user_description', get_the_author_meta('ID') ).'</p>';
                            echo '<div class="social-links">';
                                    $kitar_social_icons = get_user_meta( get_the_author_meta('ID'), '_kitar_social_profile_group',true );
                                    if(!empty($kitar_social_icons)){
                                        foreach( $kitar_social_icons as $singleicon ) {
                                            if( ! empty( $singleicon['_kitar_social_profile_icon'] ) ) {
                                                echo '<a href="'.esc_url( $singleicon['_kitar_lawyer_social_profile_link'] ).'"><i class="'.esc_attr( $singleicon['_kitar_social_profile_icon'] ).'"></i></a>';
                                            }
                                        }
                                    }
                            echo '</div>';
                        echo '</div>';
             echo '</div>';

               
            }

        }
    }

     // Blog Details Post Navigation hook function
     if( !function_exists( 'kitar_blog_details_post_navigation_cb' ) ) {
        function kitar_blog_details_post_navigation_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $kitar_post_navigation = kitar_opt('kitar_post_details_post_navigation');
            } else {
                $kitar_post_navigation = 0;
            }

            $prevpost = get_previous_post();
            $nextpost = get_next_post();

            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );

            if( ($kitar_post_navigation == '1') && (!empty($prevpost) || !empty($nextpost)) ) {
                echo '<div class="blog-navigation">'; 
                    if( ! empty( $prevpost ) ) {
                        echo '<a href="'.esc_url( get_permalink( $prevpost->ID ) ).'" class="nav-btn prev">';
                            echo '<i class="fa-solid fa-angle-left"></i>';
                            echo ' <span class="nav-text">'.get_the_title($prevpost->ID).'</span>';
                        echo '</a>';
                    }

                    if( ! empty( $nextpost ) ) {
                        echo '<a href="'.esc_url( get_permalink( $nextpost->ID ) ).'" class="nav-btn next">';
                            echo '<i class="fa-solid fa-angle-right"></i>';
                            echo ' <span class="nav-text">'.get_the_title($nextpost->ID).'</span>';
                        echo '</a>';
                    }
                echo '</div>';
            }

        }
    }

    // Blog Details Comments hook function
    if( !function_exists('kitar_blog_details_comments_cb') ) {
        function kitar_blog_details_comments_cb( ) {
            if ( ! comments_open() ) {
                echo '<div class="blog-comment-area">';
                    echo kitar_heading_tag( array(
                        "tag"   => "h3",
                        "text"  => esc_html__( 'Comments are closed', 'kitar' ),
                        "class" => "inner-title"
                    ) );
                echo '</div>';
            }

            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }
        }
    }

    // Blog Details Column end hook function
    if( !function_exists('kitar_blog_details_col_end_cb') ) {
        function kitar_blog_details_col_end_cb( ) {
            echo '</div>';
        }
    }

    // Blog Details Wrapper end hook function
    if( !function_exists('kitar_blog_details_wrapper_end_cb') ) {
        function kitar_blog_details_wrapper_end_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page start wrapper hook function
    if( !function_exists('kitar_page_start_wrap_cb') ) {
        function kitar_page_start_wrap_cb( ) {
            
            if( is_page( 'cart' ) ){
                $section_class = "th-cart-wrapper space-top space-extra-bottom";
            }elseif( is_page( 'checkout' ) ){
                $section_class = "th-checkout-wrapper space-top space-extra-bottom";
            }elseif( is_page('wishlist') ){
                $section_class = "wishlist-area space-top space-extra-bottom";
            }else{
                $section_class = "space-top space-extra-bottom";  
            }
            echo '<section class="'.esc_attr( $section_class ).'">';
                echo '<div class="container">';
                    echo '<div class="row">';
        }
    }

    // page wrapper end hook function
    if( !function_exists('kitar_page_end_wrap_cb') ) {
        function kitar_page_end_wrap_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page column wrapper start hook function
    if( !function_exists('kitar_page_col_start_wrap_cb') ) {
        function kitar_page_col_start_wrap_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $kitar_page_sidebar = kitar_opt('kitar_page_sidebar');
            }else {
                $kitar_page_sidebar = '1';
            }
            
            if( $kitar_page_sidebar == '2' && is_active_sidebar('kitar-page-sidebar') ) {
                echo '<div class="col-lg-8 order-last">';
            } elseif( $kitar_page_sidebar == '3' && is_active_sidebar('kitar-page-sidebar') ) {
                echo '<div class="col-lg-8">';
            } else {
                echo '<div class="col-lg-12">';
            }

        }
    }

    // page column wrapper end hook function
    if( !function_exists('kitar_page_col_end_wrap_cb') ) {
        function kitar_page_col_end_wrap_cb( ) {
            echo '</div>';
        }
    }

    // page sidebar hook function
    if( !function_exists('kitar_page_sidebar_cb') ) {
        function kitar_page_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $kitar_page_sidebar = kitar_opt('kitar_page_sidebar');
            }else {
                $kitar_page_sidebar = '1';
            }

            if( class_exists('ReduxFramework') ) {
                $kitar_page_layoutopt = kitar_opt('kitar_page_layoutopt');
            }else {
                $kitar_page_layoutopt = '3';
            }

            if( $kitar_page_layoutopt == '1' && $kitar_page_sidebar != 1 ) {
                get_sidebar('page');
            } elseif( $kitar_page_layoutopt == '2' && $kitar_page_sidebar != 1 ) {
                get_sidebar();
            }
        }
    }

    // page content hook function
    if( !function_exists('kitar_page_content_cb') ) {
        function kitar_page_content_cb( ) {
            if(  class_exists('woocommerce') && ( is_woocommerce() || is_cart() || is_checkout() || is_page('wishlist') || is_account_page() )  ) {
                echo '<div class="woocommerce--content">';
            } else {
                echo '<div class="page--content clearfix">';
            }

                the_content();

                // Link Pages
                kitar_link_pages();

            echo '</div>';
            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }

        }
    }

    if( !function_exists('kitar_blog_post_thumb_cb') ) {
        function kitar_blog_post_thumb_cb( ) {
            if( get_post_format() ) {
                $format = get_post_format();
            }else{
                $format = 'standard';
            }

            $kitar_post_slider_thumbnail = kitar_meta( 'post_format_slider' );

            if( !empty( $kitar_post_slider_thumbnail ) ){
                echo '<div class="blog-img th-slider" data-slider-options=\'{"effect":"fade"}\'>';
                    echo '<div class="swiper-wrapper">';
                        foreach( $kitar_post_slider_thumbnail as $single_image ){
                            echo '<div class="swiper-slide">';
                                echo kitar_img_tag( array(
                                    'url'   => esc_url( $single_image )
                                ) );
                            echo '</div>';
                        }
                    echo '</div>';
                    echo '<button class="slider-arrow slider-prev"><i class="far fa-arrow-left"></i></button>';
                    echo '<button class="slider-arrow slider-next"><i class="far fa-arrow-right"></i></button>';
                echo '</div>';

            }elseif( has_post_thumbnail() && $format == 'standard' ) {
                echo '<!-- Post Thumbnail -->';
                echo '<div class="blog-img">';
                    if( ! is_single() ){
                        echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">'; 
                    }

                    the_post_thumbnail();

                    if( ! is_single() ){
                        echo '</a>';
                    }
                echo '</div>';
                echo '<!-- End Post Thumbnail -->';
            }elseif( $format == 'video' ){
                if( has_post_thumbnail() && ! empty ( kitar_meta( 'post_format_video' ) ) ){
                    echo '<div class="blog-img blog-video" data-overlay="title" data-opacity="4">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            the_post_thumbnail();

                        if( ! is_single() ){
                            echo '</a>';
                        }
                        echo '<a href="'.esc_url( kitar_meta( 'post_format_video' ) ).'" class="play-btn popup-video">';
                            echo '<i class="fas fa-play"></i>';
                        echo '</a>';
                    echo '</div>';
                }elseif( ! has_post_thumbnail() && ! is_single() ){
                    echo '<div class="blog-video">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            echo kitar_embedded_media( array( 'video', 'iframe' ) );
                        if( ! is_single() ){
                            echo '</a>';
                        }
                    echo '</div>';
                }
            }elseif( $format == 'audio' ){
                $kitar_audio = kitar_meta( 'post_format_audio' );
                if( ! empty( $kitar_audio ) ){
                    echo '<div class="blog-audio">';
                        echo wp_oembed_get( $kitar_audio );
                    echo '</div>';
                }elseif( ! is_single() ){
                    echo '<div class="blog-audio">';
                        echo wp_oembed_get( $kitar_audio );
                    echo '</div>';
                }
            }

        }
    }

    if( !function_exists('kitar_blog_post_content_cb') ) {
        function kitar_blog_post_content_cb( ) {
            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );
            if( class_exists( 'ReduxFramework' ) ) {
                $kitar_excerpt_length          = kitar_opt( 'kitar_blog_postExcerpt' );
                $kitar_display_post_category   = kitar_opt( 'kitar_display_post_category' );
            } else {
                $kitar_excerpt_length          = '48';
                $kitar_display_post_category   = '1';
            }

            if( class_exists( 'ReduxFramework' ) ) {
                $kitar_blog_admin = kitar_opt( 'kitar_blog_post_author' );
                $kitar_blog_readmore_setting_val = kitar_opt('kitar_blog_readmore_setting');
                if( $kitar_blog_readmore_setting_val == 'custom' ) {
                    $kitar_blog_readmore_setting = kitar_opt('kitar_blog_custom_readmore');
                } else {
                    $kitar_blog_readmore_setting = __( 'READ MORE', 'kitar' );
                }
            } else {
                $kitar_blog_readmore_setting = __( 'READ MORE', 'kitar' );
                $kitar_blog_admin = true;
            }
            echo '<!-- blog-content -->';

                do_action( 'kitar_blog_post_thumb' );
                
                echo '<div class="blog-content">';

                    // Blog Post Meta
                    do_action( 'kitar_blog_post_meta' );

                    echo '<!-- Post Title -->';
                    echo '<h2 class="blog-title"><a href="'.esc_url( get_permalink() ).'">'.wp_kses( get_the_title( ), $allowhtml ).'</a></h2>';
                    echo '<!-- End Post Title -->';

                    echo '<!-- Post Summary -->';
                    echo kitar_paragraph_tag( array(
                        "text"  => wp_kses( wp_trim_words( get_the_excerpt(), $kitar_excerpt_length, '' ), $allowhtml ),
                        "class" => 'blog-text',
                    ) );
  
                    if( !empty( $kitar_blog_readmore_setting ) ){
                        echo '<a href="'.esc_url( get_permalink() ).'" class="th-btn">'.esc_html( $kitar_blog_readmore_setting ).'</a>';
                    }

                    echo '<!-- End Post Summary -->';
                echo '</div>';
            echo '<!-- End Post Content -->';
        }
    }
