<?php
/**
 * @Packge     : Kitar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

// Block direct access
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 *
 * Define constant 
 *
 */

// Base URI
if ( ! defined( 'KITAR_DIR_URI' ) ) {
    define('KITAR_DIR_URI', get_parent_theme_file_uri().'/' );
}

// Assist URI
if ( ! defined( 'KITAR_DIR_ASSIST_URI' ) ) {
    define( 'KITAR_DIR_ASSIST_URI', get_theme_file_uri('/assets/') );
}


// Css File URI
if ( ! defined( 'KITAR_DIR_CSS_URI' ) ) {
    define( 'KITAR_DIR_CSS_URI', get_theme_file_uri('/assets/css/') );
}

// Js File URI
if (!defined('KITAR_DIR_JS_URI')) {
    define('KITAR_DIR_JS_URI', get_theme_file_uri('/assets/js/'));
}


// Base Directory
if (!defined('KITAR_DIR_PATH')) {
    define('KITAR_DIR_PATH', get_parent_theme_file_path() . '/');
}

//Inc Folder Directory
if (!defined('KITAR_DIR_PATH_INC')) {
    define('KITAR_DIR_PATH_INC', KITAR_DIR_PATH . 'inc/');
}

//KITAR framework Folder Directory
if (!defined('KITAR_DIR_PATH_FRAM')) {
    define('KITAR_DIR_PATH_FRAM', KITAR_DIR_PATH_INC . 'kitar-framework/');
}

//Hooks Folder Directory
if (!defined('KITAR_DIR_PATH_HOOKS')) {
    define('KITAR_DIR_PATH_HOOKS', KITAR_DIR_PATH_INC . 'hooks/');
}

//Demo Data Folder Directory Path
if( !defined( 'KITAR_DEMO_DIR_PATH' ) ){
    define( 'KITAR_DEMO_DIR_PATH', KITAR_DIR_PATH_INC.'demo-data/' );
}
    
//Demo Data Folder Directory URI
if( !defined( 'KITAR_DEMO_DIR_URI' ) ){
    define( 'KITAR_DEMO_DIR_URI', KITAR_DIR_URI.'inc/demo-data/' );
}