<?php
/**
 * @Packge     : Kitar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( defined( 'CMB2_LOADED' )  ){
        if( !empty( kitar_meta('page_breadcrumb_area') ) ) {
            $kitar_page_breadcrumb_area  = kitar_meta('page_breadcrumb_area');
        } else {
            $kitar_page_breadcrumb_area = '1';
        }
    }else{
        $kitar_page_breadcrumb_area = '1';
    }
    
    $allowhtml = array(
        'p'         => array(
            'class'     => array()
        ),
        'span'      => array(
            'class'     => array(),
        ),
        'a'         => array(
            'href'      => array(),
            'title'     => array()
        ),
        'br'        => array(),
        'em'        => array(),
        'strong'    => array(),
        'b'         => array(),
        'sub'       => array(),
        'sup'       => array(),
    );
    
    if(  is_page() || is_page_template( 'template-builder.php' )  ) {
        if( $kitar_page_breadcrumb_area == '1' ) {
            echo '<!-- Page title 2 -->';
            
            if( class_exists( 'ReduxFramework' ) ){
                $ex_class = '';
            }else{
                $ex_class = ' th-breadcumb';   
            }
            echo '<div class="breadcumb-banner" data-mask-src="'.esc_url( kitar_opt('kitar_allheader_shape3', 'url' ) ).'">';
                echo '<div class="breadcumb-wrapper '. esc_attr($ex_class).'" id="breadcumbwrap">';
                    if( class_exists( 'ReduxFramework' ) ){
                        if(!empty(kitar_opt('kitar_allheader_shape', 'url' ) )){
                            echo '<div class="banner-shape" data-bg-src="'.esc_url( kitar_opt('kitar_allheader_shape', 'url' ) ).'"></div>';
                        }
                    }
                    echo '<div class="container">';
                        echo '<div class="breadcumb-content">';
                            if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {
                                if( !empty( kitar_meta('page_breadcrumb_settings') ) ) {
                                    if( kitar_meta('page_breadcrumb_settings') == 'page' ) {
                                        $kitar_page_title_switcher = kitar_meta('page_title');
                                    } else {
                                        $kitar_page_title_switcher = kitar_opt('kitar_page_title_switcher');
                                    }
                                } else {
                                    $kitar_page_title_switcher = '1';
                                }
                            } else {
                                $kitar_page_title_switcher = '1';
                            }

                            if( $kitar_page_title_switcher ){
                                if( class_exists( 'ReduxFramework' ) ){
                                    $kitar_page_title_tag    = kitar_opt('kitar_page_title_tag');
                                }else{
                                    $kitar_page_title_tag    = 'h1';
                                }

                                if( defined( 'CMB2_LOADED' )  ){
                                    if( !empty( kitar_meta('page_title_settings') ) ) {
                                        $kitar_custom_title = kitar_meta('page_title_settings');
                                    } else {
                                        $kitar_custom_title = 'default';
                                    }
                                }else{
                                    $kitar_custom_title = 'default';
                                }

                                if( $kitar_custom_title == 'default' ) {
                                    echo kitar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $kitar_page_title_tag ),
                                            "text"  => esc_html( get_the_title( ) ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                } else {
                                    echo kitar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $kitar_page_title_tag ),
                                            "text"  => esc_html( kitar_meta('custom_page_title') ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                }

                            }
                            if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {

                                if( kitar_meta('page_breadcrumb_settings') == 'page' ) {
                                    $kitar_breadcrumb_switcher = kitar_meta('page_breadcrumb_trigger');
                                } else {
                                    $kitar_breadcrumb_switcher = kitar_opt('kitar_enable_breadcrumb');
                                }

                            } else {
                                $kitar_breadcrumb_switcher = '1';
                            }

                            if( $kitar_breadcrumb_switcher == '1' && (  is_page() || is_page_template( 'template-builder.php' ) )) {
                                    kitar_breadcrumbs(
                                        array(
                                            'breadcrumbs_classes' => '',
                                        )
                                    );
                            }
                        echo '</div>';
                    echo '</div>';
                    if( class_exists( 'ReduxFramework' ) ){
                        if(!empty(kitar_opt('kitar_allheader_shape2', 'url' ) )){
                            echo '<div class="shape-mockup jump d-none d-lg-block" data-bottom="5%" data-left="0%">';
                                echo '<img src="'.esc_url( kitar_opt('kitar_allheader_shape2', 'url' ) ).'" alt="'.esc_attr__('Shape image', 'kitar').'">';
                            echo '</div>';
                        }
                    }
                echo '</div>';
            echo '</div>';
            echo '<!-- End of Page title -->';
            
        }
    } else {
        echo '<!-- Page title 3 -->';
         if( class_exists( 'ReduxFramework' ) ){
            $ex_class = '';
            if (class_exists( 'woocommerce' ) && is_shop()){
            $breadcumb_bg_class = 'custom-woo-class';
            }elseif(is_404()){
                $breadcumb_bg_class = 'custom-error-class';
            }elseif(is_search()){
                $breadcumb_bg_class = 'custom-search-class';
            }elseif(is_archive()){
                $breadcumb_bg_class = 'custom-archive-class';
            }else{
                $breadcumb_bg_class = '';
            }
        }else{
            $breadcumb_bg_class = ''; 
            $ex_class = ' th-breadcumb';     
        }

        echo '<div class="breadcumb-banner" data-mask-src="'.esc_url( kitar_opt('kitar_allheader_shape3', 'url' ) ).'">';
            echo '<div class="breadcumb-wrapper '. esc_attr($breadcumb_bg_class . $ex_class).'">'; 
                if( class_exists( 'ReduxFramework' ) ){
                    if(!empty(kitar_opt('kitar_allheader_shape', 'url' ) )){
                        echo '<div class="banner-shape" data-bg-src="'.esc_url( kitar_opt('kitar_allheader_shape', 'url' ) ).'"></div>';
                    }
                }
                echo '<div class="container z-index-common">';
                        echo '<div class="breadcumb-content">';
                            if( class_exists( 'ReduxFramework' )  ){
                                $kitar_page_title_switcher  = kitar_opt('kitar_page_title_switcher');
                            }else{
                                $kitar_page_title_switcher = '1';
                            }

                            if( $kitar_page_title_switcher ){
                                if( class_exists( 'ReduxFramework' ) ){
                                    $kitar_page_title_tag    = kitar_opt('kitar_page_title_tag');
                                }else{
                                    $kitar_page_title_tag    = 'h1';
                                }
                                if( class_exists('woocommerce') && is_shop() ) {
                                    echo kitar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $kitar_page_title_tag ),
                                            "text"  => wp_kses( woocommerce_page_title( false ), $allowhtml ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                }elseif ( is_archive() ){
                                    echo kitar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $kitar_page_title_tag ),
                                            "text"  => wp_kses( get_the_archive_title(), $allowhtml ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                }elseif ( is_home() ){
                                    $kitar_blog_page_title_setting = kitar_opt('kitar_blog_page_title_setting');
                                    $kitar_blog_page_title_switcher = kitar_opt('kitar_blog_page_title_switcher');
                                    $kitar_blog_page_custom_title = kitar_opt('kitar_blog_page_custom_title');
                                    if( class_exists('ReduxFramework') ){
                                        if( $kitar_blog_page_title_switcher ){
                                            echo kitar_heading_tag(
                                                array(
                                                    "tag"   => esc_attr( $kitar_page_title_tag ),
                                                    "text"  => !empty( $kitar_blog_page_custom_title ) && $kitar_blog_page_title_setting == 'custom' ? esc_html( $kitar_blog_page_custom_title) : esc_html__( 'Latest News', 'kitar' ),
                                                    'class' => 'breadcumb-title'
                                                )
                                            );
                                        }
                                    }else{
                                        echo kitar_heading_tag(
                                            array(
                                                "tag"   => "h1",
                                                "text"  => esc_html__( 'Latest News', 'kitar' ),
                                                'class' => 'breadcumb-title',
                                            )
                                        );
                                    }
                                }elseif( is_search() ){
                                    echo kitar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $kitar_page_title_tag ),
                                            "text"  => esc_html__( 'Search Result', 'kitar' ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                }elseif( is_404() ){
                                    echo kitar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $kitar_page_title_tag ),
                                            "text"  => esc_html__( 'Error Page', 'kitar' ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                }elseif( is_singular( 'product' ) ){
                                    $posttitle_position  = kitar_opt('kitar_product_details_title_position');
                                    $postTitlePos = false;
                                    if( class_exists( 'ReduxFramework' ) ){
                                        if( $posttitle_position && $posttitle_position != 'header' ){
                                            $postTitlePos = true;
                                        }
                                    }else{
                                        $postTitlePos = false;
                                    }

                                    if( $postTitlePos != true ){
                                        echo kitar_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $kitar_page_title_tag ),
                                                "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                                'class' => 'breadcumb-title'
                                            )
                                        );
                                    } else {
                                        if( class_exists( 'ReduxFramework' ) ){
                                            $kitar_post_details_custom_title  = kitar_opt('kitar_product_details_custom_title');
                                        }else{
                                            $kitar_post_details_custom_title = __( 'Shop Details','kitar' );
                                        }

                                        if( !empty( $kitar_post_details_custom_title ) ) {
                                            echo kitar_heading_tag(
                                                array(
                                                    "tag"   => esc_attr( $kitar_page_title_tag ),
                                                    "text"  => wp_kses( $kitar_post_details_custom_title, $allowhtml ),
                                                    'class' => 'breadcumb-title'
                                                )
                                            );
                                        }
                                    }
                                }else{
                                    $posttitle_position  = kitar_opt('kitar_post_details_title_position');
                                    $postTitlePos = false;
                                    if( is_single() ){
                                        if( class_exists( 'ReduxFramework' ) ){
                                            if( $posttitle_position && $posttitle_position != 'header' ){
                                                $postTitlePos = true;
                                            }
                                        }else{
                                            $postTitlePos = false;
                                        }
                                    }
                                    if( is_singular( 'product' ) ){
                                        $posttitle_position  = kitar_opt('kitar_product_details_title_position');
                                        $postTitlePos = false;
                                        if( class_exists( 'ReduxFramework' ) ){
                                            if( $posttitle_position && $posttitle_position != 'header' ){
                                                $postTitlePos = true;
                                            }
                                        }else{
                                            $postTitlePos = false;
                                        }
                                    }

                                    if( $postTitlePos != true ){
                                        echo kitar_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $kitar_page_title_tag ),
                                                "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                                'class' => 'breadcumb-title'
                                            )
                                        );
                                    } else {
                                        if( class_exists( 'ReduxFramework' ) ){
                                            $kitar_post_details_custom_title  = kitar_opt('kitar_post_details_custom_title');
                                        }else{
                                            $kitar_post_details_custom_title = __( 'Blog Details','kitar' );
                                        }

                                        if( !empty( $kitar_post_details_custom_title ) ) {
                                            echo kitar_heading_tag(
                                                array(
                                                    "tag"   => esc_attr( $kitar_page_title_tag ),
                                                    "text"  => wp_kses( $kitar_post_details_custom_title, $allowhtml ),
                                                    'class' => 'breadcumb-title'
                                                )
                                            );
                                        }
                                    }
                                }
                            }
                            if( class_exists('ReduxFramework') ) {
                                $kitar_breadcrumb_switcher = kitar_opt( 'kitar_enable_breadcrumb' );
                            } else {
                                $kitar_breadcrumb_switcher = '1';
                            }
                            if( $kitar_breadcrumb_switcher == '1' ) {
                                if(kitar_breadcrumbs()){
                                echo '<div>';
                                    kitar_breadcrumbs(
                                        array(
                                            'breadcrumbs_classes' => 'nav',
                                        )
                                    );
                                echo '</div>';
                                }
                            }
                        echo '</div>';
                echo '</div>';
                if( class_exists( 'ReduxFramework' ) ){
                    if(!empty(kitar_opt('kitar_allheader_shape2', 'url' ) )){
                        echo '<div class="shape-mockup jump d-none d-lg-block" data-bottom="5%" data-left="0%">';
                            echo '<img src="'.esc_url( kitar_opt('kitar_allheader_shape2', 'url' ) ).'" alt="'.esc_attr__('Shape image', 'kitar').'">';
                        echo '</div>';
                    }
                }
            echo '</div>';
        echo '</div>';
        echo '<!-- End of Page title -->';
    }