<?php
/**
 * @Packge     : Kitar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) && defined('ELEMENTOR_VERSION') ) {
        if( is_page() || is_page_template('template-builder.php') ) {
            $kitar_post_id = get_the_ID();

            // Get the page settings manager
            $kitar_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

            // Get the settings model for current post
            $kitar_page_settings_model = $kitar_page_settings_manager->get_model( $kitar_post_id );

            // Retrieve the color we added before
            $kitar_header_style = $kitar_page_settings_model->get_settings( 'kitar_header_style' );
            $kitar_header_builder_option = $kitar_page_settings_model->get_settings( 'kitar_header_builder_option' );

            if( $kitar_header_style == 'header_builder'  ) {

                if( !empty( $kitar_header_builder_option ) ) {
                    $kitarheader = get_post( $kitar_header_builder_option );
                    echo '<header class="header">';
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $kitarheader->ID );
                    echo '</header>';
                }
            } else {
                // global options
                $kitar_header_builder_trigger = kitar_opt('kitar_header_options');
                if( $kitar_header_builder_trigger == '2' ) {
                    echo '<header>';
                    $kitar_global_header_select = get_post( kitar_opt( 'kitar_header_select_options' ) );
                    $header_post = get_post( $kitar_global_header_select );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_post->ID );
                    echo '</header>';
                } else {
                    // wordpress Header
                    kitar_global_header_option();
                }
            }
        } else {
            $kitar_header_options = kitar_opt('kitar_header_options');
            if( $kitar_header_options == '1' ) {
                kitar_global_header_option();
            } else {
                $kitar_header_select_options = kitar_opt('kitar_header_select_options');
                $kitarheader = get_post( $kitar_header_select_options );
                echo '<header class="header">';
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $kitarheader->ID );
                echo '</header>';
            }
        }
    } else {
        kitar_global_header_option();
    }