<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <?php wp_head();?>
</head>
<body <?php body_class(); ?>>

<?php
    wp_body_open();

    /**
    *
    * Preloader
    *
    * Hook kitar_preloader_wrap
    *
    * @Hooked kitar_preloader_wrap_cb 10
    *
    */
    do_action( 'kitar_preloader_wrap' );

    if( ! kitar_opt('kitar_header_sticky')){ ?>
        <div id="smooth-wrapper">
            <div id="smooth-content">
    <?php }

    /**
    *
    * kitar header
    *
    * Hook kitar_header
    *
    * @Hooked kitar_header_cb 10
    *
    */
    do_action( 'kitar_header' );

    if( kitar_opt('kitar_header_sticky')) { ?>
        <div id="smooth-wrapper">
            <div id="smooth-content">
    <?php }


    /**
    *
    * kitar breadcrumb
    *
    * Hook kitar_breadcrumb
    *
    * @Hooked kitar_breadcrumb_cb 10
    *
    */
    do_action( 'kitar_breadcrumb' );