<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Choose Us Widget .
 *
 */
class kitar_Choose_Us extends Widget_Base {

	public function get_name() {
		return 'kitarchooseus';
	}
	public function get_title() {
		return __( 'Choose Us', 'kitar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'kitar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Choose Us', 'kitar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
				
			]
        );

		kitar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] );

		kitar_common_repeater_field($this, 'features', 'Features', [ 'title' ], ['1']);

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		kitar_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .title');



	}


	protected function render() {

        $settings = $this->get_settings_for_display();

			if( $settings['layout_style'] == '1' ){
                echo '<div class="checklist style2 list-two-column">';
					echo '<ul>';
						foreach( $settings['features'] as $data ){
							echo '<li class="title">'.wp_kses_post($data['features_title']).'</li>';
						}
					echo '</ul>';
				echo '</div>';
				
			}elseif( $settings['layout_style'] == '2' ){

			}

	}

}